<?php

namespace Core\Http;

use Core\Http\View\Engine\HtmlEngine;
use Core\Http\View\Engine\JsonEngine;
use Core\Http\View\Render;

class Response
{
    /**
     * Set statuscode for response
     *
     * @param int $status
     * @return $this
     */
    public function status(int $status): static
    {
        http_response_code($status);

        return $this;
    }

    /**
     * Render HTML
     *
     * @param string $view
     * @return \Core\Http\View\Render
     */
    public function view(string $view): Render
    {
        return (new HtmlEngine())->view($view);
    }

    /**
     * Render JSON
     *
     * @return \Core\Http\View\Render
     */
    public function json(): Render
    {
        return new JsonEngine();
    }
}